Ryzom - Bug # 887

Status: Closed Priority: Normal
Author: Letto Category:

Created: 05/12/2010 Assignee: vl
Updated: 05/28/2010 Due date:

Subiject: add do while to nldebug and co

Description

like this

#define nlassert(exp) \
do {\
if (I(exp)) {\
NLMISC::createDebug (); \
NLMISC::INelContext::getinstance().getAssertLog()->setPosition (LINE, FILE, FUNCTION); \
NLMISC::INelContext::getinstance().getAssertLog()->displayNL ("\"%s\" ", #exp); \
NLMISC_BREAKPOINT; \
N
} while(0)

This should hopefully fix some warnings.
May break some code that doesn't have ";" after nldebug

History

#1 - 05/12/2010 05:25 pm - rti

Why not just add a ";" behind while(0)?
This way you would not break any code.

Just tried it; gcc does not complain about ";;" situations, even with "-Wall -pedantic”

#2 - 05/12/2010 05:49 pm - Letto

Well some would say that this would be a feature not a bug.

#3 - 05/13/2010 12:03 pm - vl

which warning will be fixed with the do/while?

| prefer to not have the ; in the define so guys have to add a ; after the call.

#4 - 05/13/2010 12:13 pm - Letto

which warning will be fixed with the do/while?

ambiguity about nested ifs
#5 - 05/13/2010 12:23 pm - vl

- Status changed from New to Assigned
- Assignee set to vl

#6 - 05/13/2010 07:04 pm - vl

- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r133.

#7 - 05/13/2010 10:47 pm - vi

Applied in changeset r139.

#8 - 05/18/2010 10:22 am - vl

- Target version set to Version 0.8.0

#9 - 05/28/2010 05:23 pm - vI

- Status changed from Resolved to Closed
